/*
 *  Version: 1.0
 *
 *  The contents of this file are subject to the OpenVPMS License Version
 *  1.0 (the 'License'); you may not use this file except in compliance with
 *  the License. You may obtain a copy of the License at
 *  http://www.openvpms.org/license/
 *
 *  Software distributed under the License is distributed on an 'AS IS' basis,
 *  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 *  for the specific language governing rights and limitations under the
 *  License.
 *
 *  Copyright 2006 (C) OpenVPMS Ltd. All Rights Reserved.
 *
 *  $Id: UserWorkspace.java 3855 2010-10-18 00:49:17Z tanderson $
 */

package org.openvpms.web.app.admin.user;

import org.openvpms.archetype.rules.user.UserArchetypes;
import org.openvpms.component.business.domain.im.security.User;
import org.openvpms.component.business.service.archetype.helper.DescriptorHelper;
import org.openvpms.web.app.subsystem.ResultSetCRUDWorkspace;
import org.openvpms.web.component.im.util.Archetypes;


/**
 * User workspace.
 *
 * @author <a href="mailto:support@openvpms.org">OpenVPMS Team</a>
 * @version $LastChangedDate: 2010-10-18 10:49:17 +1000 (Mon, 18 Oct 2010) $
 */
public class UserWorkspace extends ResultSetCRUDWorkspace<User> {

    /**
     * Constructs an <tt>UserWorkspace</tt>.
     */
    public UserWorkspace() {
        super("admin", "user");
        setArchetypes(Archetypes.create(UserArchetypes.USER_ARCHETYPES, User.class, UserArchetypes.USER,
                                        DescriptorHelper.getDisplayName(UserArchetypes.USER)));
    }

}
