/*
 *  Version: 1.0
 *
 *  The contents of this file are subject to the OpenVPMS License Version
 *  1.0 (the 'License'); you may not use this file except in compliance with
 *  the License. You may obtain a copy of the License at
 *  http://www.openvpms.org/license/
 *
 *  Software distributed under the License is distributed on an 'AS IS' basis,
 *  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 *  for the specific language governing rights and limitations under the
 *  License.
 *
 *  Copyright 2006 (C) OpenVPMS Ltd. All Rights Reserved.
 *
 *  $Id: TableFactory.java 3839 2010-09-26 14:10:38Z tanderson $
 */

package org.openvpms.web.component.util;

import nextapp.echo2.app.Table;
import nextapp.echo2.app.table.TableModel;
import org.openvpms.web.component.table.KeyTable;


/**
 * Factory for {@link Table}s.
 *
 * @author <a href="mailto:support@openvpms.org">OpenVPMS Team</a>
 * @version $LastChangedDate: 2010-09-27 00:10:38 +1000 (Mon, 27 Sep 2010) $
 */
public final class TableFactory extends ComponentFactory {

    /**
     * Create a new table.
     *
     * @param model the table model
     * @return a new table
     */
    public static Table create(TableModel model) {
        Table table = new KeyTable();
        table.setModel(model);
        setDefaultStyle(table);
        return table;
    }

}
